SVG Fritzing Export - FYI


#1

Awhile back, I did some testing of Drawing app’s - my goal is/was to avoid Inkscape and find a robust app with simple user interface. The best two (IMO) are Boxy and Gravit. By far, Boxy is much cleaner.
Boxy is for Mac and Linux. Gravit is also excellent. Both have some minor ‘issues’ but are quickly improving.

I’ve had some recent interaction with the designer of Boxy and an export for Fritzing is on their “Todo” list


#2

Is boxy in any Linux repo? I prefer to install programs from a distro or third party repo. That way the program is under package management, and updating it is simple and straight forward. I don’t really like downloading binary tarballs and then dealing with library version mismatch issues or downloading sources and having build issues (library and/or tool version issues).


#3

I don’t know… I use a Mac and Boxy is a ‘Paid’ for app on the Apple Store (about $10).
As a Programmer, I prefer to pay for the work others have done. As a retired engineer, well, I like Free stuff… Sometimes a difficult choice but, not when the cost is equivalent to a couple of cups of coffee.

My guess the Linux version has a cost.


#4

The problem (for me) is a closed-source application is almost certainly NOT going to run on any of my machines. Either I will be running on systems with older versions of system libraries (glibc generally) or running on non-mainstream processor types (ARM). It is almost certain that the version in the app store will require Ubuntu 18.04 on a Intel-flavored processor (almost certainly x86_64/amd64), and won’t run under CentOS 6 (and might not even run under CentOS 7 once I get around to upgrading). And won’t run on any of my Raspberry Pis, even though the 'Pis have more “modern” kernels and versions of glibc.

I prefer to “pay” by writing code. It is the only “currency” I have in any meaningfull supply. (And no, I don’t drink coffee, and never have.)


#5

OK, I just checked. It requires Snap (which I don’t have and I expect is not available for CentOS) and only runs on an amd64.